summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author LukenShiro <lukenshiro@ngi.it>2010-05-11 22:54:19 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:54:19 +0200
commit88a18d01484e23978b47029c53ebd3d3e1cf7b2d (patch)
tree821b6dd3f7a32dd26c53901e4dae5140b446e883 /libraries
parentc2d418038140a1c743a388021203363a383a1801 (diff)
downloadslackbuilds-88a18d01484e23978b47029c53ebd3d3e1cf7b2d.tar.gz
slackbuilds-88a18d01484e23978b47029c53ebd3d3e1cf7b2d.tar.xz
libraries/perl-digest-sha1: Added to 12.1 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/perl-digest-sha1/README6
-rw-r--r--libraries/perl-digest-sha1/perl-digest-sha1.SlackBuild100
-rw-r--r--libraries/perl-digest-sha1/perl-digest-sha1.info8
-rw-r--r--libraries/perl-digest-sha1/slack-desc20
4 files changed, 134 insertions, 0 deletions
diff --git a/libraries/perl-digest-sha1/README b/libraries/perl-digest-sha1/README
new file mode 100644
index 0000000000..db2c26eec0
--- /dev/null
+++ b/libraries/perl-digest-sha1/README
@@ -0,0 +1,6 @@
+perl-digest-sha1 - Perl interface to the SHA-1 algorithm
+
+It allows you to use the NIST SHA-1 message digest algorithm
+from within Perl programs. The algorithm takes as input a
+message of arbitrary length and produces as output a 160-bit
+"fingerprint" or "message digest" of the input.
diff --git a/libraries/perl-digest-sha1/perl-digest-sha1.SlackBuild b/libraries/perl-digest-sha1/perl-digest-sha1.SlackBuild
new file mode 100644
index 0000000000..eb0dd2bd33
--- /dev/null
+++ b/libraries/perl-digest-sha1/perl-digest-sha1.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for perl-digest-sha1
+
+# Copyright 2008 LukenShiro <lukenshiro@ngi.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=perl-digest-sha1
+SRC_PRGNAM=Digest-SHA1
+VERSION=${VERSION:-2.11}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCFILES="fip180-1.* Changes README"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$SRC_PRGNAM-$VERSION.tar.gz
+cd $SRC_PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+echo "y" | CFLAGS="$SLKCFLAGS" perl Makefile.PL INSTALLDIRS=vendor
+
+make
+
+make install DESTDIR=$PKG
+
+#Move man-pages to appropriate place
+mv $PKG/usr/share/man $PKG/usr/
+
+# Remove perlocal.pod, .packlist and .bs from $PKG
+( for i in perllocal.pod .packlist *.bs; do
+ find $PKG -name "$i" -exec rm -rf {} \;
+ done
+)
+
+# Remove empty directories
+find $PKG -depth -type d -empty -exec rm -rf {} \;
+
+# strip libraries
+( cd $PKG
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# compress man pages
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/perl-digest-sha1/perl-digest-sha1.info b/libraries/perl-digest-sha1/perl-digest-sha1.info
new file mode 100644
index 0000000000..98910a7bc1
--- /dev/null
+++ b/libraries/perl-digest-sha1/perl-digest-sha1.info
@@ -0,0 +1,8 @@
+PRGNAM="perl-digest-sha1"
+VERSION="2.11"
+HOMEPAGE="http://search.cpan.org/dist/Digest-SHA1/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/Digest-SHA1-2.11.tar.gz"
+MD5SUM="2449bfe21d6589c96eebf94dae24df6b"
+MAINTAINER="LukenShiro"
+EMAIL="lukenshiro@ngi.it"
+APPROVED="David Somero"
diff --git a/libraries/perl-digest-sha1/slack-desc b/libraries/perl-digest-sha1/slack-desc
new file mode 100644
index 0000000000..b4082797a0
--- /dev/null
+++ b/libraries/perl-digest-sha1/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------|
+perl-digest-sha1: perl-digest-sha1 (Perl interface to the SHA-1 algorithm)
+perl-digest-sha1:
+perl-digest-sha1: It allows you to use the NIST SHA-1 message digest algorithm
+perl-digest-sha1: from within Perl programs. The algorithm takes as input a
+perl-digest-sha1: message of arbitrary length and produces as output a 160-bit
+perl-digest-sha1: "fingerprint" or "message digest" of the input.
+perl-digest-sha1:
+perl-digest-sha1:
+perl-digest-sha1:
+perl-digest-sha1: Homepage: http://search.cpan.org/dist/Digest-SHA1
+perl-digest-sha1:
+